pointer-constraints-unstable-v1-client-protocol.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`
`#include "wayland-client.h"`
Include dependency graph for pointer-constraints-unstable-v1-client-protocol.h:

Go to the source code of this file.

## Data Structures

struct | zwp_locked_pointer_v1_listener
struct | zwp_confined_pointer_v1_listener

## Macros

#define | ZWP_POINTER_CONSTRAINTS_V1_ERROR_ENUM
#define | ZWP_POINTER_CONSTRAINTS_V1_LIFETIME_ENUM
#define | ZWP_POINTER_CONSTRAINTS_V1_DESTROY 0
#define | ZWP_POINTER_CONSTRAINTS_V1_LOCK_POINTER 1
#define | ZWP_POINTER_CONSTRAINTS_V1_CONFINE_POINTER 2
#define | ZWP_POINTER_CONSTRAINTS_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_POINTER_CONSTRAINTS_V1_LOCK_POINTER_SINCE_VERSION 1
#define | ZWP_POINTER_CONSTRAINTS_V1_CONFINE_POINTER_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_DESTROY 0
#define | ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT 1
#define | ZWP_LOCKED_POINTER_V1_SET_REGION 2
#define | ZWP_LOCKED_POINTER_V1_LOCKED_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_UNLOCKED_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT_SINCE_VERSION 1
#define | ZWP_LOCKED_POINTER_V1_SET_REGION_SINCE_VERSION 1
#define | ZWP_CONFINED_POINTER_V1_DESTROY 0
#define | ZWP_CONFINED_POINTER_V1_SET_REGION 1
#define | ZWP_CONFINED_POINTER_V1_CONFINED_SINCE_VERSION 1
#define | ZWP_CONFINED_POINTER_V1_UNCONFINED_SINCE_VERSION 1
#define | ZWP_CONFINED_POINTER_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_CONFINED_POINTER_V1_SET_REGION_SINCE_VERSION 1

## Enumerations

enum | zwp_pointer_constraints_v1_error { ZWP_POINTER_CONSTRAINTS_V1_ERROR_ALREADY_CONSTRAINED = 1 }
enum | zwp_pointer_constraints_v1_lifetime { ZWP_POINTER_CONSTRAINTS_V1_LIFETIME_ONESHOT = 1, ZWP_POINTER_CONSTRAINTS_V1_LIFETIME_PERSISTENT = 2 }

## Functions

static void | zwp_pointer_constraints_v1_set_user_data (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1, void *user_data)
static void * | zwp_pointer_constraints_v1_get_user_data (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1)
static uint32_t | zwp_pointer_constraints_v1_get_version (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1)
static void | zwp_pointer_constraints_v1_destroy (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1)
static struct zwp_locked_pointer_v1 * | zwp_pointer_constraints_v1_lock_pointer (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1, struct wl_surface *surface, struct wl_pointer *pointer, struct wl_region *region, uint32_t lifetime)
static struct zwp_confined_pointer_v1 * | zwp_pointer_constraints_v1_confine_pointer (struct zwp_pointer_constraints_v1 *zwp_pointer_constraints_v1, struct wl_surface *surface, struct wl_pointer *pointer, struct wl_region *region, uint32_t lifetime)
static int | zwp_locked_pointer_v1_add_listener (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, const struct zwp_locked_pointer_v1_listener *listener, void *data)
static void | zwp_locked_pointer_v1_set_user_data (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, void *user_data)
static void * | zwp_locked_pointer_v1_get_user_data (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
static uint32_t | zwp_locked_pointer_v1_get_version (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
static void | zwp_locked_pointer_v1_destroy (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1)
static void | zwp_locked_pointer_v1_set_cursor_position_hint (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, wl_fixed_t surface_x, wl_fixed_t surface_y)
static void | zwp_locked_pointer_v1_set_region (struct zwp_locked_pointer_v1 *zwp_locked_pointer_v1, struct wl_region *region)
static int | zwp_confined_pointer_v1_add_listener (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1, const struct zwp_confined_pointer_v1_listener *listener, void *data)
static void | zwp_confined_pointer_v1_set_user_data (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1, void *user_data)
static void * | zwp_confined_pointer_v1_get_user_data (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)
static uint32_t | zwp_confined_pointer_v1_get_version (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)
static void | zwp_confined_pointer_v1_destroy (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)
static void | zwp_confined_pointer_v1_set_region (struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1, struct wl_region *region)

## Variables

const struct wl_interface | zwp_pointer_constraints_v1_interface
const struct wl_interface | zwp_locked_pointer_v1_interface
const struct wl_interface | zwp_confined_pointer_v1_interface

## Macro Definition Documentation

## ZWP_CONFINED_POINTER_V1_DESTROY

#define ZWP_CONFINED_POINTER_V1_DESTROY 0

Definition at line 562 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_confined_pointer_v1_destroy().

## ZWP_CONFINED_POINTER_V1_SET_REGION

#define ZWP_CONFINED_POINTER_V1_SET_REGION 1

Definition at line 563 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_confined_pointer_v1_set_region().

## ZWP_LOCKED_POINTER_V1_DESTROY

#define ZWP_LOCKED_POINTER_V1_DESTROY 0

Definition at line 423 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_locked_pointer_v1_destroy().

## ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT

#define ZWP_LOCKED_POINTER_V1_SET_CURSOR_POSITION_HINT 1

Definition at line 424 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_locked_pointer_v1_set_cursor_position_hint().

## ZWP_LOCKED_POINTER_V1_SET_REGION

#define ZWP_LOCKED_POINTER_V1_SET_REGION 2

Definition at line 425 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_locked_pointer_v1_set_region().

## ZWP_POINTER_CONSTRAINTS_V1_CONFINE_POINTER

#define ZWP_POINTER_CONSTRAINTS_V1_CONFINE_POINTER 2

Definition at line 253 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_pointer_constraints_v1_confine_pointer().

## ZWP_POINTER_CONSTRAINTS_V1_DESTROY

#define ZWP_POINTER_CONSTRAINTS_V1_DESTROY 0

Definition at line 251 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_pointer_constraints_v1_destroy().

## ZWP_POINTER_CONSTRAINTS_V1_ERROR_ENUM

#define ZWP_POINTER_CONSTRAINTS_V1_ERROR_ENUM

Definition at line 218 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_POINTER_CONSTRAINTS_V1_LIFETIME_ENUM

#define ZWP_POINTER_CONSTRAINTS_V1_LIFETIME_ENUM

Definition at line 235 of file pointer-constraints-unstable-v1-client-protocol.h.

## ZWP_POINTER_CONSTRAINTS_V1_LOCK_POINTER

#define ZWP_POINTER_CONSTRAINTS_V1_LOCK_POINTER 1

Definition at line 252 of file pointer-constraints-unstable-v1-client-protocol.h.

Referenced by zwp_pointer_constraints_v1_lock_pointer().

## Function Documentation

## zwp_confined_pointer_v1_get_version()

static uint32_t zwp_confined_pointer_v1_get_version | ( | struct zwp_confined_pointer_v1 * | zwp_confined_pointer_v1 | ) |

inline static

Definition at line 598 of file pointer-constraints-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zwp_confined_pointer_v1);
}

## zwp_locked_pointer_v1_get_version()

static uint32_t zwp_locked_pointer_v1_get_version | ( | struct zwp_locked_pointer_v1 * | zwp_locked_pointer_v1 | ) |

inline static

Definition at line 464 of file pointer-constraints-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zwp_locked_pointer_v1);
}

## zwp_pointer_constraints_v1_get_version()

static uint32_t zwp_pointer_constraints_v1_get_version | ( | struct zwp_pointer_constraints_v1 * | zwp_pointer_constraints_v1 | ) |

inline static

Definition at line 284 of file pointer-constraints-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zwp_pointer_constraints_v1);
}

## Variable Documentation

## zwp_confined_pointer_v1_interface

WL_EXPORT const struct wl_interface zwp_confined_pointer_v1_interface

Initial value:
= {
"zwp_confined_pointer_v1", 1,
2, zwp_confined_pointer_v1_requests,
2, zwp_confined_pointer_v1_events,
}
zwp_confined_pointer_v1_events
static const struct wl_message zwp_confined_pointer_v1_events[]
Definition: pointer-constraints-unstable-v1-protocol.c:88
zwp_confined_pointer_v1_requests
static const struct wl_message zwp_confined_pointer_v1_requests[]
Definition: pointer-constraints-unstable-v1-protocol.c:83

Definition at line 93 of file pointer-constraints-unstable-v1-protocol.c.

Referenced by zwp_pointer_constraints_v1_confine_pointer().

## zwp_locked_pointer_v1_interface

WL_EXPORT const struct wl_interface zwp_locked_pointer_v1_interface

Initial value:
= {
"zwp_locked_pointer_v1", 1,
3, zwp_locked_pointer_v1_requests,
2, zwp_locked_pointer_v1_events,
}
zwp_locked_pointer_v1_requests
static const struct wl_message zwp_locked_pointer_v1_requests[]
Definition: pointer-constraints-unstable-v1-protocol.c:66
zwp_locked_pointer_v1_events
static const struct wl_message zwp_locked_pointer_v1_events[]
Definition: pointer-constraints-unstable-v1-protocol.c:72

Definition at line 77 of file pointer-constraints-unstable-v1-protocol.c.

Referenced by zwp_pointer_constraints_v1_lock_pointer().

## zwp_pointer_constraints_v1_interface

const struct wl_interface zwp_pointer_constraints_v1_interface

Definition at line 60 of file pointer-constraints-unstable-v1-protocol.c.